Create Discussion
curl --request POST \
--url https://api.member.dev/api/v1/hubs/{hub_id}/spaces/{space_id}/discussions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"title": "<string>",
"attachments": [
"<string>"
],
"body": "<string>",
"external_video_embeds": [
"<string>"
],
"is_published": true,
"poll": {
"duration_days": 4,
"options": [
"<string>"
]
},
"reposted_discussion_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z"
},
"type": "discussions"
}
}
'import requests
url = "https://api.member.dev/api/v1/hubs/{hub_id}/spaces/{space_id}/discussions"
payload = { "data": {
"attributes": {
"title": "<string>",
"attachments": ["<string>"],
"body": "<string>",
"external_video_embeds": ["<string>"],
"is_published": True,
"poll": {
"duration_days": 4,
"options": ["<string>"]
},
"reposted_discussion_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z"
},
"type": "discussions"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
title: '<string>',
attachments: ['<string>'],
body: JSON.stringify('<string>'),
external_video_embeds: ['<string>'],
is_published: true,
poll: {duration_days: 4, options: ['<string>']},
reposted_discussion_id: '<string>',
scheduled_at: '2023-11-07T05:31:56Z'
},
type: 'discussions'
}
})
};
fetch('https://api.member.dev/api/v1/hubs/{hub_id}/spaces/{space_id}/discussions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"attachments": [
{
"id": "<string>",
"media_id": "<string>",
"role": "<string>",
"asset_kind": "<string>",
"file_id": "<string>",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"status_upload": "<string>",
"thumbnail_url": "<string>",
"thumbnail_url_expires_at": "<string>",
"url": "<string>",
"url_expires_at": "<string>"
}
],
"author_contact_id": "<string>",
"author_display_name": "<string>",
"author_photo_thumbnail_url": "<string>",
"author_photo_thumbnail_url_expires_at": "2023-11-07T05:31:56Z",
"author_photo_url": "<string>",
"author_photo_url_expires_at": "2023-11-07T05:31:56Z",
"body": "<string>",
"comment_count": 123,
"created_at": "<string>",
"deleted_at": "<string>",
"external_video_embeds": [
{}
],
"hub_id": "<string>",
"is_broadcast": true,
"is_locked": true,
"is_pinned": true,
"is_published": true,
"last_activity_at": "<string>",
"poll": {
"closed": true,
"deadline_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"options": [
{
"id": "<string>",
"label": "<string>",
"position": 123,
"vote_count": 123
}
],
"total_votes": 123,
"viewer_option_id": "<string>",
"viewer_voted": true
},
"published_at": "<string>",
"reaction_count": 123,
"reactions": [
"<unknown>"
],
"report_count": 0,
"reported_by_me": false,
"repost": {
"author_display_name": "<string>",
"author_photo_thumbnail_url": "<string>",
"author_photo_url": "<string>",
"body": "<string>",
"id": "<string>",
"published_at": "<string>",
"space_name": "<string>",
"space_slug": "<string>",
"title": "<string>"
},
"repost_count": 123,
"scheduled_at": "<string>",
"space_id": "<string>",
"status": "<string>",
"team_id": "<string>",
"title": "<string>",
"updated_at": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}community-discussions
Create Discussion
Create a new discussion inside a space.
Requires an active hub membership (not banned / soft-banned). Returns 403 when the space’s posting_permission blocks the member.
POST
/
api
/
v1
/
hubs
/
{hub_id}
/
spaces
/
{space_id}
/
discussions
Create Discussion
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
JSON:API create-resource envelope.
Show child attributes
Show child attributes
⌘I